Loading...
Searching...
No Matches
Country Struct Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Locale selection

Container type for country specific data. More...

`#include <vpbapi.h>`

Collaboration diagram for Country:

## Public Types

typedef std::vector< const Country * > | List
| Container type for a list of pointers to `Country` structures.

## Public Attributes

const char * | name
| Country name.
int | code
| Country code.
int | ring_cadence
| Default ring cadence.
uint16_t | flash_time
| Generated hook flash time in `ms`.
uint16_t | flash_min
| Min valid hook flash time in `ms`.
uint16_t | flash_max
| Max valid hook flash time in `ms`.
uint16_t | lv_onhook
| On hook voltage threshhold in `V`.
uint16_t | lv_offhook
| Off hook voltage threshhold in `V`.
uint16_t | drop_time
| Generated loop drop time in `ms`.
uint16_t | drop_min
| Min valid loop drop time in `ms`.
uint16_t | drop_max
| Max valid loop drop time in `ms`.
double | fsk_mark
| Coefficient for cid generation.
double | fsk_space
| Coefficient for cid generation.
VPB_TONE * | tone_gen
| Pointer to an array of `VPB_TONE_ID_MAX` tones.

## Detailed Description

Container type for country specific data.